
format long;

global Y ID N N2 XMAT ZMAT WMAT BINN1 BINN2 ERRDIST1 ERRDIST2 PLINK MU1LINK;
global MU2LINK;

global YVAR LINKFUNCTION XVARS ERRDISFUNCTION SCALEPAR INC_CONST;
global OFFSET1 OFFSET2 WEIGHTS DETAILSFILE NAMEXV NAMELIST NAMEYV;

load 'newdat.dat';
load 'para.dat';

countyid=newdat(:,32);
ID=countyid;
N=size(ID,1);
N2=max(ID);
rate=newdat(:,34);
nkids=newdat(:,33);
BINN1=ones(N,1);
BINN2=BINN1;
logn=log(BINN1);
OFFSET1=log(nkids);
OFFSET2=log(nkids);
ID2=zeros(N,1);
for i=1:N2;
  ID2(ID==i)=[1:size(ID(ID==i),1)]';
end;
PLINK='logit';
MU1LINK='log';
MU2LINK='log';
ERRDIST1='poisson';
ERRDIST2='poisson';

XMAT=[ones(N,1), rate];
ZMAT=[ones(N,1), rate];
WMAT=[ones(N,1), rate];

mquad=20;
[quadwts,quadvals]=getgaussherm(mquad);
quadwts=quadwts./sqrt(3.14159265358979);
quadvals=sqrt(2).*quadvals;

result=zeros(N,1);
for i=1:31
    Y=newdat(:,i);
    spara=para(:,i);
    alp=OFFSET1+XMAT*spara(1:2);
    sigma=spara(3);

    EY=zeros(N,1);
    EY2=zeros(N,1);
    for l=1:20
        mu1=getmu1(alp+sigma*quadvals(l),BINN1);
        EY=EY+quadwts(l)*mu1;      
        EY2=EY2+quadwts(l)*(mu1 + mu1.*mu1);
    end;
    VAR_Y=EY2-EY.*EY;

    pearson_res=(Y-EY)./sqrt(VAR_Y);
    abs_res=abs(pearson_res);
    sort_res=sort(abs_res);
    result=[result, sort_res];
 end;
 
 res=result(:,2);

 resmin=[min(result(:,3:21)')]'
 resmax=[max(result(:,3:21)')]'
 resmean=[mean(result(:,3:21)')]'

 plotdata=[res, resmin, resmax, resmean]
 diary glmm19.diary
 plotdata



