
path(path,'../program_ogq');
 
format long;

global Y ID ID2 N N2 XMAT ZMAT WMAT BINN1 BINN2;

global YVAR LINKFUNCTION XVARS ERRDISFUNCTION SCALEPAR INC_CONST;
global OFFSET WEIGHTS DETAILSFILE NAMEXV NAMELIST NAMEYV;
global PLINK MU1LINK MU2LINK ERRDIST1 ERRDIST2;
load 'wflyid.dat';
plantid=wflyid(:,7);
ID=plantid;
N=size(ID,1);
N2=max(ID);
Y=wflyid(:,6);
week=wflyid(:,2);
week2=week.^2;
week3=week.^3;
rep=wflyid(:,3);
trt=wflyid(:,4);
BINN=wflyid(:,5);
BINN1=BINN;
BINN2=BINN;
trtmat=fac(trt,6); %makes a matrix of indicators for all levels of trt except
                   % trt=6
weekmat=fac(week); %makes a matrix of indicators for all weeks except week=1
repmat=fac(rep); %makes a matrix of indicators for all reps except rep=1

ID2=zeros(N,1);
for i=1:N2;
  ID2(ID==i)=[1:size(ID(ID==i),1)]';
end;

PLINK='logit';
MU1LINK='logit';
MU2LINK='logit';
ERRDIST1='binoml';
ERRDIST2='binoml';

XMAT=[ones(N,1), trtmat, repmat, weekmat];
ZMAT=[ones(N,1), trtmat, repmat, weekmat];
WMAT=[ones(N,1), trtmat, repmat, weekmat];

glmlab;

alphainit =[  -4.15  1.831  -1.9533  -5.71189  -2.4833  25.6940  -1.8265   0.5939   2.1287  -1.1215   1.7127 -12.6627 -17.9768  -1.1535  -0.370933 -19.04843  -0.13616   3.24946  -0.4200]';
betainit =[ 0.7242  -1.6821  -0.7407  -1.5188  -0.8402   0.0517   0.5138   0.3290  -0.9156  -0.7884  -1.0042  -1.4099  -1.2275  -1.5411  -1.14389  -1.8867  -1.2439  -3.1113  -0.1849]';
gammainit =[ 0.1971   0.4298   0.2350   0.5606   0.4682  0.7028   0.1652   0.3137  -0.7669  -0.8222   0.1772   0.6272   0.4121  -0.0295  -0.20546   0.2036   0.2099  -0.8134  -0.4393]';
sigmainit=[3.5900 0.6399]';



mquad=11;

diary wfly_result.diary

[alpha,beta,gamma,sigma,converge,cov_oakes]=oem_oakes(alphainit,betainit,gammainit,sigmainit,mquad)
diary off
