function [d]=getdkappa2(lp)
% computes derivative of kappa2, the canonical parameter of the second
% distribution in the mixture,  with respect to the linear predictor

global MU2LINK ERRDIST2;
 
if strcmp(ERRDIST2,'poisson')
  if strcmp(MU2LINK,'log')
    d=exp(lp);
  else
    error('invalid MU2LINK in getdkappa2.m');
  end;

else
  error('invalid ERRDIST2 in getdkappa2.m');
end;


