function [dbscore]=nrdb1score(bscore,p,alp,blp,sigma,b)
% Calculates numerical derivative of b1score with respect to b1

global ID ID2 Y XMAT ZMAT WMAT N BINN1 BINN2 ERRDIST1 ERRDIST2 N2;
global MU1LINK MU2LINK PLINK;

dimparm=size(b,1);

ef=2.2204e-16;

dbscore=zeros(dimparm,1);
%for j=1:dimparm

    x=b;
    h=b;

    h(x~=0)=(abs(x(x~=0))+1)*(ef)^(1/3);
    h(x==0)=ef^(1/3);
    

    temp=x+h;
    h=temp-x;

    farg2=b;
    farg2=b-h;
    farg3=b;
    farg3=b+h;
    fofxminush=getb1score(p,alp,blp,sigma,farg2);
    fofxplush=getb1score(p,alp,blp,sigma,farg3);

    dbscore=(fofxplush-fofxminush);
    dbscore=dbscore./(2*h);
%end;



