function [f]=getf1cond(y,mucond,bin)
% computes  conditional density f_1(y_ij,alpha,sigma_1|b_i)
% mucond is conditional mean

global ERRDIST1 BINN1;

if strcmp(ERRDIST1,'poisson')
  f=poisspdf(y,mucond);
elseif strcmp(ERRDIST1,'binoml')
  f=binopdf(y,bin,mucond./bin);
else
  error('Invalid ERRDIST1 in getf1cond');
end;

