function [uweight, weight]=oakes_weightu(alpha,beta,gamma,sigma,mquad,quadwts,quadvals)
% calculate w*u and u;

global ID YVAR LINKFUNCTION VARFUNCTION XMAT OFFSET1 OFFSET2;
global Y N N2 ZMAT WMAT BINN1 BINN2 PLINK MU1LINK MU2LINK ERRDIST1 ERRDIST2;
SMALL=1.0e-6;

  
    alp=OFFSET1+XMAT*alpha;
    blp=OFFSET2+ZMAT*beta;
    glp=WMAT*gamma;
    p=getmixp(glp);
    
   %calculate u_ijl  
    fofyijcond=zeros(N,mquad);
    mu1cond=zeros(N,mquad);
    mu2cond=zeros(N,mquad);
    u=zeros(N,mquad); 
    u1=zeros(N,1);
    for l=1:mquad
      mu1cond(:,l)=getmu1(alp+sigma(1)*quadvals(l),BINN1);
      mu2cond(:,l)=getmu2(blp+sigma(2)*quadvals(l),BINN2);
      temp= getf1cond(Y,mu1cond(:,l),BINN1).*p;
      fofyijcond(:,l)= temp+(1-p).*getf2cond(Y,mu2cond(:,l),BINN2);
      cc = temp+(1-p).*getf2cond(Y,mu2cond(:,l),BINN2);
      u1(cc==0) = zeros(size(cc(cc==0),1),1);
      u1(cc~=0) = temp(cc~=0)./cc(cc~=0);
      u(:,l)=u1;
      end;
     % u(isinf(u)|isnan(u))=0; 
 
    %calculate weight_ijl    
    weight=zeros(size(YVAR,1),1);
    count1=0;
    count2=0;
    prodi=zeros(N2,mquad);
    for i=1:N2
      prodi(i,:)=prod(fofyijcond(ID==i,:)); %1 x mquad row vector
      ti=size(ID(ID==i),1);
      for j=1:ti;
        count2=count2+1;
        for l=1:mquad;
          count1=count1+1;
          weight(count1)=prodi(i,l)*quadwts(l)/(prodi(i,:)*quadwts);
          weight;
        end; % l
      end; % j
    end; % i
    weight(isinf(weight)|isnan(weight))=0;

    uweight=zeros(size(YVAR,1),1);
    count1=0;
    count2=0;
    for i=1:N2
%      prodi=prod(fofyijcond(ID==i,:)); %1 x mquad row vector (Already computed)
      ti=size(ID(ID==i),1);
      for j=1:ti;
        count2=count2+1;
        for l=1:mquad;
          count1=count1+1;
          uweight(count1)=u(count2,l)*prodi(i,l)*quadwts(l)/(prodi(i,:)*quadwts);
        end; % l
      end; % j
    end; % i
    uweight(isinf(uweight)|isnan(uweight))=0;
    
 