


 
data dat;
      infile "glmm19.dat";
      input d dmin dmax dmean;
run;

data try; set dat nobs=nobs end=eof;
 _z_ = probit((_n_ + nobs - .125)/(2*nobs + .5));
label _z_='Expected value of half normal quantile'
                d="Absolute perason residual";
proc print data=try; run;

data crea; set try;
  file "\\rolf\lwang\dist\paper1\example1\agq\glmm\for_splus19.dat";
  put d dmin dmax dmean _z_;
run;


proc gplot data=try;
        plot d  * _z_ = 1
             dmean * _z_ = 2
             dmin  * _z_ = 3
             dmax  * _z_ = 3 / overlay
                vaxis=axis1 frame vm=1 hm=1

          des="Half normal plot for pearson residual in 2-com. GLM";
        symbol1 v=star c=red i=non;
        symbol2 v=none    c=black  i=join;
        symbol3 v=none    c=gray60 i=join l=3;
        axis1 label=(a=90);
run; 
quit;



