function [dbscore]=nrdb2score(bscore,p,alp,blp,sigma,b)
% Calculates numerical derivative of b2score with respect to b2

global ID ID2 Y XMAT ZMAT WMAT N BINN1 BINN2 ERRDIST1 ERRDIST2 N2;
global MU1LINK MU2LINK PLINK;

dimparm=size(b,1);

ef=2.2204e-16;

dbscore=zeros(dimparm,1);
%for j=1:dimparm

    x=b;

    if (x~=0)
      h=(abs(x)+1)*ef^(1/3);
    else
      h=ef^(1/3);
    end;

    temp=x+h;
    h=temp-x;

    farg2=b;
    farg2=b-h;
    farg3=b;
    farg3=b+h;
    fofxminush=getb2score(p,alp,blp,sigma,farg2);
    fofxplush=getb2score(p,alp,blp,sigma,farg3);
dbscore=(fofxplush-fofxminush)./(2*h);
%end;



